Bug 24706 - Toolbar not rendered correctly when a list is empty
Summary: Toolbar not rendered correctly when a list is empty
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
: 24247 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-02-21 14:42 UTC by Jonathan Druart
Modified: 2020-03-13 01:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24706: Fix ergonomic issue on the list view if empty (6.09 KB, patch)
2020-02-21 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24706: Fix ergonomic issue on the list view if empty (6.16 KB, patch)
2020-02-21 16:00 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24706: Fix ergonomic issue on the list view if empty (6.21 KB, patch)
2020-02-23 10:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-02-21 14:42:52 UTC
https://snipboard.io/QL5ylv.jpg
Comment 1 Jonathan Druart 2020-02-21 14:45:41 UTC
Created attachment 99387 [details] [review]
Bug 24706: Fix ergonomic issue on the list view if empty

If the list is empty, the toolbar does not render correctly.
Buttons are displayed instead of links, also the "Sort" is displayed
when it should not

Test plan:
- Create a new list, do not add items
- Notice that the toolbar now renders correctly
- Use the different link to create/edit/delete
- Confirm that the sort link is not displayed
- Add a new item
- Confirm that the toolbar is looking the same as before
Comment 2 PTFS Europe Sandboxes 2020-02-21 16:00:27 UTC
Created attachment 99391 [details] [review]
Bug 24706: Fix ergonomic issue on the list view if empty

If the list is empty, the toolbar does not render correctly.
Buttons are displayed instead of links, also the "Sort" is displayed
when it should not

Test plan:
- Create a new list, do not add items
- Notice that the toolbar now renders correctly
- Use the different link to create/edit/delete
- Confirm that the sort link is not displayed
- Add a new item
- Confirm that the toolbar is looking the same as before

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-02-23 10:13:54 UTC
Created attachment 99465 [details] [review]
Bug 24706: Fix ergonomic issue on the list view if empty

If the list is empty, the toolbar does not render correctly.
Buttons are displayed instead of links, also the "Sort" is displayed
when it should not

Test plan:
- Create a new list, do not add items
- Notice that the toolbar now renders correctly
- Use the different link to create/edit/delete
- Confirm that the sort link is not displayed
- Add a new item
- Confirm that the toolbar is looking the same as before

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-02-24 09:58:44 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Owen Leonard 2020-02-28 14:43:11 UTC
*** Bug 24247 has been marked as a duplicate of this bug. ***
Comment 6 Joy Nelson 2020-03-13 01:25:48 UTC
does not apply to 19.11.x branch  
please rebase if needed